BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Report.Service.Controllers.CandidateReportController Class Reference
Inheritance diagram for BMA.EHR.Report.Service.Controllers.CandidateReportController:

## Public Member Functions
| CandidateReportController (CandidateReportRepository service, IWebHostEnvironment hostingEnvironment, MinIOExamService minIOExamService, IConfiguration configuration)
async Task< ActionResult< ResponseObject > > | GetExamCandidate ([FromRoute] Guid Id, string exportType="pdf")
| ใบสมัคร

## Additional Inherited Members
Protected Member Functions inherited from BMA.EHR.Domain.Common.BaseController
virtual ActionResult< ResponseObject > | Success (string message, object? result=null)
virtual ActionResult< ResponseObject > | Success (object? result=null)
virtual ActionResult< ResponseObject > | Error (string message, string result, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, int statusCode=StatusCodes.Status500InternalServerError)

## Constructor & Destructor Documentation

## ◆ CandidateReportController()

BMA.EHR.Report.Service.Controllers.CandidateReportController.CandidateReportController | ( | CandidateReportRepository | service,
|  | IWebHostEnvironment | hostingEnvironment,
|  | MinIOExamService | minIOExamService,
|  | IConfiguration | configuration
| ) |  |
| inline

## Member Function Documentation

## ◆ GetExamCandidate()

async Task< ActionResult< ResponseObject > > BMA.EHR.Report.Service.Controllers.CandidateReportController.GetExamCandidate | ( | [FromRoute] Guid | Id,
|  | string | exportType = `"pdf"`
| ) |  |
| inline

ใบสมัคร

Parameters

  Id | Id ผู้สมัคร
  exportType | pdf, docx หรือ xlsx

Returns

<response code="200">เมื่อทำการอ่านข้อมูลจาก Relational Database สำเร็จ</response> <response code="401">ไม่ได้ Login เข้าระบบ</response> <response code="500">เมื่อเกิดข้อผิดพลาดในการทำงาน</response>

The documentation for this class was generated from the following file:

- BMA.EHR.Report.Service/Controllers/CandidateReportController.cs